Subject: Re: Can't clone Linus tree

From: Rene Scharfe <[email-masked]>
Date: Mon, 24 Jul 2006 11:55:58 +0200

Tomasz Torcz schrieb:
>  Hi,
> 
>  yesterdat I wanted to bisect my kernel problem, but failed at first step:
> cloning Linus' tree. Today I tried it on other system and also failed.
> 
>  This is git-1.4.0 on Slackware, i586:
> 
> %  git clone git://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux-2.6.git linux-git
> fatal: packfile '/home/zdzichu/linux-git/.git/objects/pack/tmp-1jI4AH' SHA1 mismatch
> error: git-fetch-pack: unable to read from git-index-pack
> error: git-index-pack died with error code 128
> fetch-pack from 'git://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux-2.6.git' failed.
> 
>  And this is 1.4.0-1.fc5 on FC5, x86_64:
> % git clone git://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux-2.6.git linux-git
> fatal: packfile '/home/tomek/linux-git/.git/objects/pack/tmp-BxIcIC' SHA1 mismatch
> error: git-fetch-pack: unable to read from git-index-pack
> error: git-index-pack died with error code 128
> fetch-pack from 'git://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux-2.6.git' failed.
> 
>  Errors occur constantly since yesterday. They of course appear after
> downloading several megabytes of data, which is unpleasant on my 128kbps
> connection.

Same here with both the master and next branch of git.  rsync as
suggested by Johannes Weiner works.  You can change the protocol
back to git in .git/remotes/origin after cloning; pulling small
changes seems to work fine.

strace tells me that safe_read at pkt-line.c:111 gets only 305 of
the expected 996 bytes and then dies.  I have no idea how that
might happen. :-/

Pulling the git repository works using the git protocol, btw.

René